Skip to content
LydieDevelopers
Menu

Get a publication

View as Markdown
GET/v1/publications/{id}

A publication with the state of each published document.

docs:readRead-only
Request
curl "https://api.lydie.co/v1/publications/01JCQ3V5MZ8G4ZK2X7T9R6N1PB" \
  -H "Authorization: Bearer $LYDIE_TOKEN"

Path parameters

  • idULIDrequired

Response

200
{
  "publication": {
    "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
    "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
    "connectionId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
    "connector": "string",
    "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
    "includeSubpages": false,
    "filter": null,
    "config": {},
    "autoPublish": false,
    "lastRunAt": null,
    "items": [
      {
        "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
        "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
        "state": "draft",
        "externalId": null,
        "externalUrl": null,
        "lastPublishedAt": null,
        "lastError": null,
        "divergence": null,
        "updatedAt": "2026-11-12T09:30:00.000Z"
      }
    ],
    "createdBy": null,
    "updatedBy": null,
    "createdAt": "2026-11-12T09:30:00.000Z",
    "updatedAt": "2026-11-12T09:30:00.000Z"
  }
}

Errors use one envelope for every endpoint. See Errors and versions.